DilithiumPublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.crystals.dilithium

## Class DilithiumPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters
    - - org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class DilithiumPublicKeyParameters
      extends DilithiumKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DilithiumPublicKeyParameters(DilithiumParameters params, byte[] encoding)`
    `DilithiumPublicKeyParameters(DilithiumParameters params, byte[] rho, byte[] t1)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `byte[]` | `getRho()`
    `byte[]` | `getT1()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DilithiumPublicKeyParameters

          public DilithiumPublicKeyParameters(DilithiumParameters params,
                                              byte[] encoding)

    - #### DilithiumPublicKeyParameters

          public DilithiumPublicKeyParameters(DilithiumParameters params,
                                              byte[] rho,
                                              byte[] t1)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getRho

          public byte[] getRho()

    - #### getT1

          public byte[] getT1()